using Sandbox;
using System.Collections.Generic;

namespace VeloX;

public abstract partial class VeloXBase
{

	[Property] public List<VeloXWheel> Wheels { get; set; }
	[Property] public TagSet WheelIgnoredTags { get; set; }

	public List<VeloXWheel> FindWheels() => [.. Components.GetAll<VeloXWheel>()];

	[Button]
	public void SetupWheels()
	{
		Wheels = FindWheels();
	}

}
